. gradle.properties

#客户编号
cropid=${corp_id}

#客户等级
level=${level}

#开发者
developer="test"

#包名（默认读取gragle.properties）
pkg_name=${app_id}


echo "1、提交一次上架记录"
echo "2、修改最新记录"
echo "3、记录下架原因"
echo " "
echo -n "请输入指令编号："
read commod

echo -n "此次上架方案："
read action

chmod a+x gponline.py

if (($commod == '1'))
then
    git add .
    git commit -m "${pkg_name}"
    git push origin ${code_branch}
    tagName=t${cropid}-${pkg_name}
    git tag -d ${tagName}
    git push origin --delete tag ${tagName}
    git tag -a ${tagName} -m ${tagName}
    git push origin ${tagName}
    python gponline.py "${cropid}" "${level}" "${developer}" "${pkg_name}" "${action}"

elif (($commod == '2'))
then
    chmod a+x gponline.py
    python gponline.py "${cropid}" "${level}" "${developer}" "${pkg_name}" "${action}"

elif (($commod == '3'))
then
    echo -n "输入要指定的包名："
    read pkg
    chmod a+x gponline.py
    python gponline.py "${cropid}" "${level}" "${developer}" "${pkg}" "${action}"

else
    echo "找不到编号"
fi


